WaveChunk Struct Reference

`#include <SDL_wave.h>`

## Data Fields

Uint32 | fourcc
Uint32 | length
Sint64 | position
Uint8 * | data
size_t | size

## Detailed Description

Definition at line 94 of file SDL_wave.h.

## Field Documentation

## data

Uint8* WaveChunk::data

Definition at line 99 of file SDL_wave.h.

Referenced by IMA_ADPCM_Decode(), IMA_ADPCM_Init(), LAW_Decode(), MS_ADPCM_Decode(), MS_ADPCM_Init(), PCM_ConvertSint24ToSint32(), PCM_Decode(), WaveFreeChunkData(), WaveReadFormat(), and WaveReadPartialChunkData().

## fourcc

Uint32 WaveChunk::fourcc

Definition at line 96 of file SDL_wave.h.

Referenced by WaveLoad(), and WaveNextChunk().

## length

Uint32 WaveChunk::length

Definition at line 97 of file SDL_wave.h.

Referenced by IMA_ADPCM_Decode(), LAW_Decode(), MS_ADPCM_Decode(), PCM_Decode(), WaveLoad(), WaveNextChunk(), WaveReadChunkData(), and WaveReadPartialChunkData().

## position

Sint64 WaveChunk::position

Definition at line 98 of file SDL_wave.h.

Referenced by SDL_LoadWAV_RW(), WaveLoad(), WaveNextChunk(), and WaveReadPartialChunkData().

## size

size_t WaveChunk::size

Definition at line 100 of file SDL_wave.h.

Referenced by IMA_ADPCM_Decode(), IMA_ADPCM_Init(), LAW_Decode(), MS_ADPCM_Decode(), MS_ADPCM_Init(), PCM_ConvertSint24ToSint32(), PCM_Decode(), WaveCheckFormat(), WaveFreeChunkData(), WaveLoad(), WaveReadFormat(), and WaveReadPartialChunkData().

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.h